apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend-1
  labels:
    app: backend-1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend-1
  template:
    metadata:
      labels:
        app: backend-1
    spec:
      containers:
        - name: backend-1
          image: backend-1:latest
          ports:
            - containerPort: 8080
              name: http
          env:
            - name: DB_HOST
              value: backend-1-database
            - name: DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: backend-1-db-secret
                  key: username
            - name: DB_PASS
              valueFrom:
                secretKeyRef:
                  name: backend-1-db-secret
                  key: password
          resources:
            limits:
              cpu: 1000m
              memory: 512Mi
            requests:
              cpu: 500m
              memory: 256Mi
